### Method

# FwupdPlugin Context add_firmware_gtype

since: 1.6.0

#### Declaration [src]

    void
    fu_context_add_firmware_gtype (
      FuContext* self,
      const gchar* id,
      GType gtype
    )

#### Description [src]

Adds a firmware `GType` which is used when creating devices. If `id` is not specified then it is guessed using the `GType` name.

Plugins can use this method only in fu_plugin_init().

Available since: 1.6.0

#### Parameters

`id`

  Type: `const gchar*`

  An optional string describing the type, e.g. `ihex`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`gtype`

  Type: `GType`

  A `GType` e.g. `FU_TYPE_FOO_FIRMWARE`.